From c2c6395c2c38eaedeac6a9c045bd4a8b791eb414 Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Fri, 24 Mar 2023 10:37:33 -0400
Subject: [PATCH 1/2] Add missing documentation entries for new base backup
 wait events.

Per complaint from Thomas Munro.
---
 doc/src/sgml/monitoring.sgml | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 21e6ce2841..488b76c765 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -1272,6 +1272,14 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
       <entry><literal>BaseBackupRead</literal></entry>
       <entry>Waiting for base backup to read from a file.</entry>
      </row>
+     <row>
+      <entry><literal>BaseBackupSync</literal></entry>
+      <entry>Waiting for data written by a base backup to reach durable storage.</entry>
+     </row>
+     <row>
+      <entry><literal>BaseBackupWrite</literal></entry>
+      <entry>Waiting for base backup to write to a file.</entry>
+     </row>
      <row>
       <entry><literal>BufFileRead</literal></entry>
       <entry>Waiting for a read from a buffered file.</entry>
-- 
2.37.1 (Apple Git-137.1)

